# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "ore-rs"
version = "0.8.3"
authors = [
    "Dan Draper <dan@cipherstash.com>",
    "James Sadler <james@cipherstash.com>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Order-revealing encryption library used by the CipherStash searchable encryption platform"
homepage = "https://cipherstash.com"
readme = "README.md"
license-file = "LICENCE"
resolver = "2"

[features]
chrono = [
    "dep:chrono",
    "orderable-bytes/chrono",
]
decimal = [
    "dep:rust_decimal",
    "orderable-bytes/decimal",
]

[lib]
name = "ore_rs"
path = "src/lib.rs"

[[example]]
name = "encrypt"
path = "examples/encrypt.rs"

[[bench]]
name = "chrono"
path = "benches/chrono.rs"
harness = false
required-features = ["chrono"]

[[bench]]
name = "decimal"
path = "benches/decimal.rs"
harness = false
required-features = ["decimal"]

[[bench]]
name = "oreaes128"
path = "benches/oreaes128.rs"
harness = false

[dependencies.aes]
version = "0.8.2"
features = ["zeroize"]

[dependencies.block-modes]
version = "0.9.1"

[dependencies.byteorder]
version = "1.4.3"

[dependencies.chrono]
version = "0.4.42"
optional = true
default-features = false

[dependencies.hex]
version = "0.4.3"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.num]
version = "0.4.0"

[dependencies.orderable-bytes]
version = "^0.1"
default-features = false

[dependencies.rand]
version = "0.8.6"

[dependencies.rand_chacha]
version = "0.3.1"

[dependencies.rust_decimal]
version = "1.28"
optional = true
default-features = false

[dependencies.subtle-ng]
version = "2.5.0"

[dependencies.thiserror]
version = "1.0.38"

[dependencies.zeroize]
version = "1.5.7"
features = ["zeroize_derive"]

[dev-dependencies.criterion]
version = "0.5.1"

[dev-dependencies.hex-literal]
version = "0.4.1"

[dev-dependencies.quickcheck]
version = "1.0.3"

[dev-dependencies.rust_decimal_macros]
version = "1.28"
